<script language='JavaScript'>
    var elem = document.getElementById('se-pre-con');
    elem.parentNode.removeChild(elem);
</script>

<?php
if (!defined('GAME')) {
    die();
}

const TIERS = 'Ранги';
const PRIZE = 'Награда';

$achievement_data = [
    'zb' => [
        'quest' => 'Выполнить задания бабки.',
        'check' => ['Заданий', 5, 25, 50, 100, 250],
        'prize' => array_map(function ($int) {
            return 'Жетон <br>успеха <br>' . $int;
        }, [5, 20, 40, 60, 100]),
        'startlink' => 11
    ],
    'vx' => [
        'quest' => 'Победить в хаотических боях.',
        'check' => ['Побед', 50, 300, 400, 500, 1000],
        'prize' => array_map(function ($int) {
            return $int . 'екр.';
        }, [25, 50, 75, 100, 200]),
        'startlink' => 21
    ],
    'snt' => [
        'quest' => 'Открыть сундук трупожора.',
        'check' => ['Открытий', 5, 25, 50, 100, 250],
        'prize' => array_map(function ($int) {
            return $int . 'екр.';
        }, [10, 25, 50, 75, 200]),
        'startlink' => 31
    ],
    'rp' => [
        'quest' => 'Получить руну при плавке плохих заготовок. [S]',
        'check' => ['Рун', 5, 10, 25, 50, 100],
        'prize' => array_map(function ($int) {
            return 'Плохие <br> заготовки <br>' . $int;
        }, [5, 7, 10, 12, 15]),
        'startlink' => 41
    ],
    'rn' => [
        'quest' => 'Получить руну при плавке нормальных заготовок. [M]',
        'check' => ['Рун', 5, 10, 15, 25, 50],
        'prize' => array_map(function ($int) {
            return 'Нормальные <br> заготовки <br>' . $int;
        }, [5, 7, 9, 12, 15]),
        'startlink' => 51
    ],
    'rb' => [
        'quest' => 'Получить руну при плавке идеальных заготовок. [L]',
        'check' => ['Рун', 2, 5, 8, 11, 15],
        'prize' => array_map(function ($int) {
            return 'Идеальные <br> заготовки <br>' . $int;
        }, [2, 4, 6, 10, 15]),
        'startlink' => 61
    ],
    'pg' => [
        'quest' => 'Поучаствовать в героическом сражении.',
        'check' => ['Участий', 100, 200, 400, 600, 1000],
        'prize' => array_map(function ($int) {
            return 'Жетон <br>успеха <br>' . $int;
        }, [10, 20, 40, 60, 80]),
        'startlink' => 71
    ],
    'bv' => [
        'quest' => 'Продать бабушке найденные вещи в пещере.',
        'check' => ['Продаж', 5, 25, 50, 100, 250],
        'prize' => array_map(function ($int) {
            return $int . 'кр.';
        }, [500, 1000, 2000, 4000, 5000]),
        'startlink' => 81
    ],
    'kw' => [
        'quest' => 'Победить в клановой войне.',
        'check' => ['Побед', 5, 10, 15, 20, 25],
        'prize' => array_map(function ($int) {
            return 'Свиток <br> кланового<br> опыта ' . $int;
        }, [1, 2, 5, 10, 15]),
        'startlink' => 91
    ],
    'pa' => [ # not implemented!
        'quest' => 'Получить покровительство Ангела.',
        'check' => ['Получено', 5, 25, 50, 100, 250],
        'prize' => null,
        'startlink' => null
    ],
    'bs' => [
        'quest' => 'Победы в башне смерти.',
        'check' => ['Побед', 1, 5, 10, 50, 500],
        'prize' => array_map(function ($int) {
            return $int . 'екр.';
        }, [1, 5, 10, 50, 200]),
        'startlink' => 101
    ],
    'trn' => [ # not implemented!
        'quest' => 'Победы в турнирах.',
        'check' => ['Побед', 25, 50, 100, 200, 500],
        'prize' => array_map(function ($int) {
            return $int . 'екр.';
        }, [25, 25, 25, 25, 50]),
        'startlink' => null
    ],
];

function table($rows, $class = '', $fill = false)
{
    $c = '';
    $max_rows = sizeof(max($rows));

    foreach ($rows as $row) {
        if ($fill && sizeof($row) < $max_rows) {
            $row = array_merge($row, array_fill(0, $max_rows - sizeof($row), ''));
        }

        $c .= '<tr><td>' . implode('</td><td>', $row) . '</td></tr>';
    }

    return (!empty($class) ? "<table class='$class'>" : '<table>') . $c . '</table>' . PHP_EOL;
}

$ai = $u->achivInf($u->info['id'], 1);
if (isset($_GET['nagr'])) {
    if ( //Это надо переписать полностью. Эта проверка - сраный костыль.
        in_array($_GET['nagr'], [14, 15, 24, 25, 34, 35, 44, 45, 54, 55, 64, 65, 74, 75, 84, 85, 94, 95, 104, 105]) &&
        $u->info['level'] < 9
    ) {
        $nagrtxt = 'Вы не можете получить эту награду на этом уровне!';
    } else

        //бабка задание zb
        if ($_GET['nagr'] == 11 && $ai['klaszb'] > $ai['zb_n'] && $ai['zb_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'zb');
            $ai['zb_n'] = 1;
            $i = 0;
            $colvo = 5;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 12 && $ai['klaszb'] > $ai['zb_n'] && $ai['zb_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'zb');
            $ai['zb_n'] = 2;
            $i = 0;
            $colvo = 20;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 13 && $ai['klaszb'] > $ai['zb_n'] && $ai['zb_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'zb');
            $ai['zb_n'] = 3;
            $i = 0;
            $colvo = 40;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 14 && $ai['klaszb'] > $ai['zb_n'] && $ai['zb_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'zb');
            $ai['zb_n'] = 4;
            $i = 0;
            $colvo = 60;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 15 && $ai['klaszb'] > $ai['zb_n'] && $ai['zb_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'zb');
            $ai['zb_n'] = 5;
            $i = 0;
            $colvo = 100;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон успеха X' . $colvo;
        } //Хаот задание vx
        elseif ($_GET['nagr'] == 21 && $ai['klasvx'] > $ai['vx_n'] && $ai['vx_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'vx');
            $ai['vx_n'] = 1;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 25) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 25 екр.';
        } elseif ($_GET['nagr'] == 22 && $ai['klasvx'] > $ai['vx_n'] && $ai['vx_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'vx');
            $ai['vx_n'] = 2;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 50) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 50 екр.';
        } elseif ($_GET['nagr'] == 23 && $ai['klasvx'] > $ai['vx_n'] && $ai['vx_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'vx');
            $ai['vx_n'] = 3;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 75) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 75 екр.';
        } elseif ($_GET['nagr'] == 24 && $ai['klasvx'] > $ai['vx_n'] && $ai['vx_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'vx');
            $ai['vx_n'] = 4;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 100) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 100 екр.';
        } elseif ($_GET['nagr'] == 25 && $ai['klasvx'] > $ai['vx_n'] && $ai['vx_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'vx');
            $ai['vx_n'] = 5;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 200) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 200 екр.';
        } //Сундуки трупожора snt 10/15/20/25/50
        elseif ($_GET['nagr'] == 31 && $ai['klassnt'] > $ai['snt_n'] && $ai['snt_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'snt');
            $ai['snt_n'] = 1;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 10) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 10 екр.';
        } elseif ($_GET['nagr'] == 32 && $ai['klassnt'] > $ai['snt_n'] && $ai['snt_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'snt');
            $ai['snt_n'] = 2;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 25) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 25 екр.';
        } elseif ($_GET['nagr'] == 33 && $ai['klassnt'] > $ai['snt_n'] && $ai['snt_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'snt');
            $ai['snt_n'] = 3;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 50) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 50 екр.';
        } elseif ($_GET['nagr'] == 34 && $ai['klassnt'] > $ai['snt_n'] && $ai['snt_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'snt');
            $ai['snt_n'] = 4;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 75) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 75 екр.';
        } elseif ($_GET['nagr'] == 35 && $ai['klassnt'] > $ai['snt_n'] && $ai['snt_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'snt');
            $ai['snt_n'] = 5;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 200) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 200екр.';
        } //Руны 8 лвл. rp 5/10/15/20/25
        elseif ($_GET['nagr'] == 41 && $ai['klasrp'] > $ai['rp_n'] && $ai['rp_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'rp');
            $ai['rp_n'] = 1;
            $i = 0;
            $colvo = 5;
            while ($i < $colvo) {
                $u->addItem(10038, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Плохие Заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 42 && $ai['klasrp'] > $ai['rp_n'] && $ai['rp_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'rp');
            $ai['rp_n'] = 2;
            $i = 0;
            $colvo = 7;
            while ($i < $colvo) {
                $u->addItem(10038, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Плохие Заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 43 && $ai['klasrp'] > $ai['rp_n'] && $ai['rp_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'rp');
            $ai['rp_n'] = 3;
            $i = 0;
            $colvo = 10;
            while ($i < $colvo) {
                $u->addItem(10038, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Плохие Заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 44 && $ai['klasrp'] > $ai['rp_n'] && $ai['rp_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'rp');
            $ai['rp_n'] = 4;
            $i = 0;
            $colvo = 12;
            while ($i < $colvo) {
                $u->addItem(10038, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Плохие Заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 45 && $ai['klasrp'] > $ai['rp_n'] && $ai['rp_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'rp');
            $ai['rp_n'] = 5;
            $i = 0;
            $colvo = 15;
            while ($i < $colvo) {
                $u->addItem(10038, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Плохие Заготовки X' . $colvo;
        } //Руны 9 лвл. rn 5/10/20/40/60
        elseif ($_GET['nagr'] == 51 && $ai['klasrn'] > $ai['rn_n'] && $ai['rn_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'rn');
            $ai['rn_n'] = 1;
            $i = 0;
            $colvo = 5;
            while ($i < $colvo) {
                $u->addItem(10039, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Нормальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 52 && $ai['klasrn'] > $ai['rn_n'] && $ai['rn_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'rn');
            $ai['rn_n'] = 2;
            $i = 0;
            $colvo = 7;
            while ($i < $colvo) {
                $u->addItem(10039, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Нормальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 53 && $ai['klasrn'] > $ai['rn_n'] && $ai['rn_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'rn');
            $ai['rn_n'] = 3;
            $i = 0;
            $colvo = 9;
            while ($i < $colvo) {
                $u->addItem(10039, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Нормальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 54 && $ai['klasrn'] > $ai['rn_n'] && $ai['rn_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'rn');
            $ai['rn_n'] = 4;
            $i = 0;
            $colvo = 12;
            while ($i < $colvo) {
                $u->addItem(10039, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Нормальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 55 && $ai['klasrn'] > $ai['rn_n'] && $ai['rn_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'rn');
            $ai['rn_n'] = 5;
            $i = 0;
            $colvo = 15;
            while ($i < $colvo) {
                $u->addItem(10039, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Нормальные заготовки X' . $colvo;
        } //Руны 10 лвл. rb 2/4/6/10/15
        elseif ($_GET['nagr'] == 61 && $ai['klasrb'] > $ai['rb_n'] && $ai['rb_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'rb');
            $ai['rb_n'] = 1;
            $i = 0;
            $colvo = 2;
            while ($i < $colvo) {
                $u->addItem(10040, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Идеальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 62 && $ai['klasrb'] > $ai['rb_n'] && $ai['rb_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'rb');
            $ai['rb_n'] = 2;
            $i = 0;
            $colvo = 4;
            while ($i < $colvo) {
                $u->addItem(10040, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Идеальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 63 && $ai['klasrb'] > $ai['rb_n'] && $ai['rb_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'rb');
            $ai['rb_n'] = 3;
            $i = 0;
            $colvo = 6;
            while ($i < $colvo) {
                $u->addItem(10040, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Идеальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 64 && $ai['klasrb'] > $ai['rb_n'] && $ai['rb_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'rb');
            $ai['rb_n'] = 4;
            $i = 0;
            $colvo = 10;
            while ($i < $colvo) {
                $u->addItem(10040, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Идеальные заготовки X' . $colvo;
        } elseif ($_GET['nagr'] == 65 && $ai['klasrb'] > $ai['rb_n'] && $ai['rb_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'rb');
            $ai['rb_n'] = 5;
            $i = 0;
            $colvo = 15;
            while ($i < $colvo) {
                $u->addItem(10040, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Идеальные заготовки X' . $colvo;
        } //Героик  pg 10/20/40/60/80
        elseif ($_GET['nagr'] == 71 && $ai['klaspg'] > $ai['pg_n'] && $ai['pg_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'pg');
            $ai['pg_n'] = 1;
            $i = 0;
            $colvo = 10;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон Успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 72 && $ai['klaspg'] > $ai['pg_n'] && $ai['pg_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'pg');
            $ai['pg_n'] = 2;
            $i = 0;
            $colvo = 20;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон Успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 73 && $ai['klaspg'] > $ai['pg_n'] && $ai['pg_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'pg');
            $ai['pg_n'] = 3;
            $i = 0;
            $colvo = 40;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон Успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 74 && $ai['klaspg'] > $ai['pg_n'] && $ai['pg_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'pg');
            $ai['pg_n'] = 4;
            $i = 0;
            $colvo = 60;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон Успеха X' . $colvo;
        } elseif ($_GET['nagr'] == 75 && $ai['klaspg'] > $ai['pg_n'] && $ai['pg_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'pg');
            $ai['pg_n'] = 5;
            $i = 0;
            $colvo = 80;
            while ($i < $colvo) {
                $u->addItem(10020, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Жетон Успеха X' . $colvo;
        } //Продать бабушке найденные вещи в пещере bv 500/1000/2000/4000/5000
        elseif ($_GET['nagr'] == 81 && $ai['klasbv'] > $ai['bv_n'] && $ai['bv_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'bv');
            $ai['bv_n'] = 1;
            mysql_query('UPDATE `users` SET `money` = (`money` + 500) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 500 кр.';
        } elseif ($_GET['nagr'] == 82 && $ai['klasbv'] > $ai['bv_n'] && $ai['bv_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'bv');
            $ai['bv_n'] = 2;
            mysql_query('UPDATE `users` SET `money` = (`money` + 1000) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 1000 кр.';
        } elseif ($_GET['nagr'] == 83 && $ai['klasbv'] > $ai['bv_n'] && $ai['bv_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'bv');
            $ai['bv_n'] = 3;
            mysql_query('UPDATE `users` SET `money` = (`money` + 2000) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 2000 кр.';
        } elseif ($_GET['nagr'] == 84 && $ai['klasbv'] > $ai['bv_n'] && $ai['bv_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'bv');
            $ai['bv_n'] = 4;
            mysql_query('UPDATE `users` SET `money` = (`money` + 4000) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 4000 кр.';
        } elseif ($_GET['nagr'] == 85 && $ai['klasbv'] > $ai['bv_n'] && $ai['bv_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'bv');
            $ai['bv_n'] = 5;
            mysql_query('UPDATE `users` SET `money` = (`money` + 5000) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 5000 кр.';
        } //Клан вар  kw 4917
        elseif ($_GET['nagr'] == 91 && $ai['klaskw'] > $ai['kw_n'] && $ai['kw_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'kw');
            $ai['kw_n'] = 1;
            $i = 0;
            $colvo = 1;
            while ($i < $colvo) {
                $u->addItem(4917, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Клановый опыт +50000 X' . $colvo;
        } elseif ($_GET['nagr'] == 92 && $ai['klaskw'] > $ai['kw_n'] && $ai['kw_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'kw');
            $ai['kw_n'] = 2;
            $i = 0;
            $colvo = 2;
            while ($i < $colvo) {
                $u->addItem(4917, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Клановый опыт +50000 X' . $colvo;
        } elseif ($_GET['nagr'] == 93 && $ai['klaskw'] > $ai['kw_n'] && $ai['kw_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'kw');
            $ai['kw_n'] = 3;
            $i = 0;
            $colvo = 5;
            while ($i < $colvo) {
                $u->addItem(4917, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Клановый опыт +50000 X' . $colvo;
        } elseif ($_GET['nagr'] == 94 && $ai['klaskw'] > $ai['kw_n'] && $ai['kw_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'kw');
            $ai['kw_n'] = 4;
            $i = 0;
            $colvo = 10;
            while ($i < $colvo) {
                $u->addItem(4917, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Клановый опыт +50000 X' . $colvo;
        } elseif ($_GET['nagr'] == 95 && $ai['klaskw'] > $ai['kw_n'] && $ai['kw_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'kw');
            $ai['kw_n'] = 5;
            $i = 0;
            $colvo = 15;
            while ($i < $colvo) {
                $u->addItem(4917, $u->info['id'], '');
                $i++;
            }
            $nagrtxt = 'За выполненное достижение, Вы получили Клановый опыт +50000 X' . $colvo;
        } //Башня смерти задание bs
        elseif ($_GET['nagr'] == 101 && $ai['klasbs'] > $ai['bs_n'] && $ai['bs_n'] == 0) {
            $u->rangup($u->info['id'], 1, 'bs');
            $ai['bs_n'] = 1;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 1) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 1 екр.';
        } elseif ($_GET['nagr'] == 102 && $ai['klasbs'] > $ai['bs_n'] && $ai['bs_n'] == 1) {
            $u->rangup($u->info['id'], 2, 'bs');
            $ai['bs_n'] = 2;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 5) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 5 екр.';
        } elseif ($_GET['nagr'] == 103 && $ai['klasbs'] > $ai['bs_n'] && $ai['bs_n'] == 2) {
            $u->rangup($u->info['id'], 3, 'bs');
            $ai['bs_n'] = 3;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 10) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 10 екр.';
        } elseif ($_GET['nagr'] == 104 && $ai['klasbs'] > $ai['bs_n'] && $ai['bs_n'] == 3) {
            $u->rangup($u->info['id'], 4, 'bs');
            $ai['bs_n'] = 4;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 50) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 50 екр.';
        } elseif ($_GET['nagr'] == 105 && $ai['klasbs'] > $ai['bs_n'] && $ai['bs_n'] == 4) {
            $u->rangup($u->info['id'], 5, 'bs');
            $ai['bs_n'] = 5;
            mysql_query('UPDATE `users` SET `money2` = (`money2` + 200) WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
            $nagrtxt = 'За выполненное достижение, Вы получили 200 екр.';
        }
    //-------------
    mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`) VALUES ('1','" . $u->info['city'] . "','" . $u->info['room'] . "','','" . $u->info['login'] . "','" . $nagrtxt . "','-1','6','0')");
}
function drawSunduk($nagr, $whatInside, $tier)
{
    echo vsprintf('<img onclick="%s" onmouseover="%s" onmouseout="%s" onmousedown="%s" class="cp" src="%s" alt="Сундук">',
        [
            "location.href='\main.php?titul&nagr=$nagr'",
            "top.hi(this, '<b>Сундук $tier ранга<hr>Содержит:<hr> $whatInside</b>', event, 2, 0, 1, 1, 'max-width:307px')",
            "top.hic();",
            "top.hic();",
            "https://img.new-combats.com/i/titul/nagr$tier.gif"
        ]);
}

?>

<style>
    /* for table() function */
    table.prizelist {
        border-spacing: 1px;
        border-collapse: separate;
        min-width: 500px;
    }

    table.prizelist tr {
        background-color: #C7C7C7;
    }

    table.prizelist td {
        padding: 3px;
        text-align: center;
    }

    table.prizelist td:first-child {
        width: 100px;
    }

    table.prizelist tr:first-child,
    table.prizelist td:first-child {
        background-color: #a5a5a5;
    }
</style>

<div style="text-align: right;">
    <input class="btn" type="button" value="Подсказка"
           onclick="window.open('/encicl/help/titul.html', 'help', 'height=300,width=500,location=no,menubar=no,status=no,toolbar=no,scrollbars=yes')">
    <input class="btn" type="button" value="Вернуться" onClick="top.frames['main'].location = 'main.php';" name=edit>
</div>

<H3>Достижения</H3>

<?php
foreach ($achievement_data as $key => $value) {
    echo '<h4>' . $ai['name' . $key] . '</h4>';
    echo '<strong>' . $value[$key]['quest'] . '</strong>';
    echo 'Сейчас у Вас Ранг: <strong>' . $ai['klas' . $key] . '</strong>';
    echo 'Количество выполнений: <strong>' . $ai[$key] . ' =' . $ai['klasP' . $key] . '%</strong>';
    echo table([
        [TIERS, 1, 2, 3, 4, 5],
        $value[$key]['check'],
        array_merge([PRIZE], $value[$key]['prize'])
    ], 'prizelist', true);
    # If has new tier, AND only first 5 tiers AND prize is set.
    if (
        $ai['klas' . $key] > $ai[$key . '_n'] &&
        in_array($ai[$key . '_n'], [0, 1, 2, 3, 4]) &&
        !empty($value[$key]['prize']) &&
        !empty($value[$key]['startlink'])
    ) {
        echo '<br>' . PRIZE . ':<br>';
        drawSunduk(
            $ai[$key . '_n'] + $value[$key]['startlink'],
            $value[$key]['prize'][$ai[$key . '_n']],
            $ai[$key . '_n'] + $value[$key]['startlink']
        );
    }
    echo '<hr>';
}
